Skip to main content
`Ctrl`+`K`

# PetscLogHandlerEventEnd

Record the end of an event in a log handler

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerEventEnd(PetscLogHandler h, PetscLogEvent e, PetscObject o1, PetscObject o2, PetscObject o3, PetscObject o4)

Not collective

## Input Parameters

- h - the `PetscLogHandler`

- e - a registered `PetscLogEvent`

- o1 - `PetscObject` associated with the event (may be `NULL`)

- o2 - `PetscObject` associated with the event (may be `NULL`)

- o3 - `PetscObject` associated with the event (may be `NULL`)

- o4 - `PetscObject` associated with the event (may be `NULL`)

## Note

Most users will use `PetscLogEventEnd()`, which will call this function for all handlers registered with `PetscLogHandlerStart()`

## See Also

Profiling, `PetscLogHandler`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscLogEventSync()`, `PetscLogHandlerEventBegin()`, `PetscLogHandlerEventSync()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerEventEnd_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerEventEnd_Legacy() in src/sys/logging/handler/impls/legacy/loglegacy.c
PetscLogHandlerEventEnd_MPE() in src/sys/logging/handler/impls/mpe/logmpe.c
PetscLogHandlerEventEnd_Nested() in src/sys/logging/handler/impls/nested/lognested.c
PetscLogHandlerEventEnd_NVTX() in src/sys/logging/handler/impls/nvtx/lognvtx.c
PetscLogHandlerEventEnd_Perfstubs() in src/sys/logging/handler/impls/perfstubs/logperfstubs.c
PetscLogHandlerEventEnd_ROCTX() in src/sys/logging/handler/impls/roctx/logroctx.c
PetscLogHandlerEventEnd_ROCTX() in src/sys/logging/handler/impls/roctx/logroctx.c
PetscLogHandlerEventEnd_Trace() in src/sys/logging/handler/impls/trace/logtrace.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages